Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.log
Class AppLogLine

    java.lang.Object
      com.google.appengine.api.log.AppLogLine

    public final class AppLogLine

extends java.lang.Object

An AppLogLine contains all the information for a single application-level log. Specifically, this information is: (1) the time at which the logged event occurred, (2) the level that the event was logged at, and (3) the message associated with this event. AppLogLines may be inserted by the user via logging frameworks, or by App Engine itself if we wish to alert the user that certain events have occurred.

Constructor Summary
`AppLogLine()` Default zero-argument constructor that creates an AppLogLine.

Method Summary
`LogService.LogLevel` | `getLogLevel()`
`java.lang.String` | `getLogMessage()`
`long` | `getTimeUsec()`
`void` | `setLogLevel(LogService.LogLevel logLevel)`
`void` | `setLogMessage(java.lang.String logMessage)`
`void` | `setTimeUsec(long timeUsec)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AppLogLine

    public AppLogLine()

  Default zero-argument constructor that creates an AppLogLine.

Method Detail

### getLogLevel

    public LogService.LogLevel getLogLevel()

### getLogMessage

    public java.lang.String getLogMessage()

### getTimeUsec

    public long getTimeUsec()

### setLogLevel

    public void setLogLevel(LogService.LogLevel logLevel)

### setLogMessage

    public void setLogMessage(java.lang.String logMessage)

### setTimeUsec

    public void setTimeUsec(long timeUsec)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD